uocquantile {np} | R Documentation

## Compute Quantiles

### Description

`uocquantile` is a function which computes quantiles of an unordered, ordered or continuous variable `x`.

### Usage

    uocquantile(x, prob)

### Arguments

`x` | an ordered, unordered or continuous variable.
`prob` | quantile to compute.

### Details

`uocquantile` is a function which computes quantiles of an unordered, ordered or continuous variable `x`. If `x` is unordered, the mode is returned. If `x` is ordered, the level for which the cumulative distribution is >= prob is returned. If `x` is continuous, `quantile` is invoked and the result returned.

### Value

A quantile computed from `x`.

### Author(s)

Tristen Hayfield tristen.hayfield@gmail.com, Jeffrey S. Racine racinej@mcmaster.ca

### See Also

`quantile`

### Examples

    x <- rbinom(n = 100, size = 10, prob = 0.5)
    uocquantile(x, 0.5)

[Package np version 0.60-9 Index]